<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 02/28/2009 *
 * ===================                          Last change: 02/28/2009 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : code-functions.php                               *
 * -------------------------------------------------------------------- *
 * Short description : Functions for handling status codes              *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Funktionen zum Umgang mit Status-Funktionen      *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Adds a code key/value pair to $GLOBALS
function addCode ($key, $value) {
	$GLOBALS['status_codes'][$key] = $value;
}

// Gets a code from the $GLOBALS registry or triggers an error if not found
function getCode ($key) {
	// Is the key set?
	if (!isCodeSet($key)) {
		// Abort here
		reportBug(__FUNCTION__, __LINE__, sprintf('%s[%s:] Code %s is not set.',
			__FUNCTION__,
			__LINE__,
			$key
		));
	} // END - if

	// Return it
	return $GLOBALS['status_codes'][$key];
}

// Checks whether a specified status code is set
function isCodeSet ($key) {
	// Simply use isset()
	return (isset($GLOBALS['status_codes'][$key]));
}

// Get hex-decimal value from given error code
function getHexErrorCode ($errorCode) {
	// Convert it
	$hex = str_pad(dechex($errorCode), 3, '0', STR_PAD_LEFT);

	// Return it
	return $hex;
}

// [EOF]
?>
