<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 11/24/2012 *
 * ===================                          Last change: 11/24/2012 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_mods.php                               *
 * -------------------------------------------------------------------- *
 * Short description : Module configuration                             *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Modul-Konfiguration                              *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2013 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

if (isFormSent('edit')) {
	// Check if at least one module is selected
	if (ifPostContainsSelections()) {
		// Output header
		$OUT = '';

		// Edit selected modules
		foreach (postRequestElement('sel') as $id => $sel) {
			// Load module data
			// @TODO This can be moved into mysql-function.php, see checkModulePermissions() function
			$result = sqlQueryEscaped("SELECT `id`, `module`, `title`, `locked`, `hidden`, `admin_only`, `mem_only` FROM `{?_MYSQL_PREFIX?}_mod_reg` WHERE `id`=%s LIMIT 1",
				array(bigintval($id)), __FILE__, __LINE__);

			// Load data
			$content = sqlFetchArray($result);

			// Free result
			sqlFreeResult($result);

			// Prepare array for the template
			$content['locked']     = addSelectionBox('yn', $content['locked']    , 'locked', $id);
			$content['hidden']     = addSelectionBox('yn', $content['hidden']    , 'hidden', $id);
			$content['admin_only'] = addSelectionBox('yn', $content['admin_only'], 'admin' , $id);
			$content['mem_only']   = addSelectionBox('yn', $content['mem_only']  , 'member', $id);

			// Load row template
			$OUT .= loadTemplate('admin_edit_mods_row', TRUE, $content);
		} // END - foreach

		// Load main template
		loadTemplate('admin_edit_mods', FALSE, $OUT);
	} else {
		// Nothing selected
		displayMessage('{--ADMIN_MODS_NOTHING_SELECTED--}');

		// Remove maybe confusing data
		unsetPostRequestElement('edit');
		unsetPostRequestElement('do_edit');
	}
} elseif (isFormSent('do_edit')) {
	// Init SQLs
	initSqls();

	// Change modules
	foreach (postRequestElement('sel') as $id => $sel) {
		// Secure id number
		$id = bigintval($id);

		// Update module
		addSql(sqlQueryEscaped("UPDATE
	`{?_MYSQL_PREFIX?}_mod_reg`
SET
	`title`='%s',
	`locked`='%s',
	`hidden`='%s',
	`admin_only`='%s',
	`mem_only`='%s'
WHERE
	`id`=%s
LIMIT 1",
			array(
				postRequestElement('title', $id),
				postRequestElement('locked', $id),
				postRequestElement('hidden', $id),
				postRequestElement('admin', $id),
				postRequestElement('member', $id),
				$id
			),  __FILE__, __LINE__, FALSE));
	}

	// Run all sqls
	runFilterChain('run_sqls');

	// Remove cache file if version matches
	rebuildCache('modules', 'modules');

	// Entries updated
	displayMessage('{--ADMIN_MODS_CHANGED--}');
}

if (!ifPostContainsSelections()) {
	// Load module data (We do not need to check if there's at least one...)
	$result = sqlQuery('SELECT
	`id`, `module`, `locked`, `hidden`, `admin_only`, `title`, `mem_only`
FROM
	`{?_MYSQL_PREFIX?}_mod_reg`
ORDER BY
	`module` ASC', __FILE__, __LINE__);

	$OUT = '';
	while ($content = sqlFetchArray($result)) {
		// Reset title to --- if it is NULL
		if (($content['module'] == 'index') || ($content['module'] == 'login')) {
			// Add link to detail statistics
			$content['module'] = '<strong><a href="{%url=modules.php?module=admin&amp;what=stats_mods&amp;mod=' . $content['module'] . '%}">' . $content['module'] . '</a></strong>';
		} // END - if

		// Load row template
		$OUT .= loadTemplate('admin_list_mods_row', TRUE, $content);
	} // END - while

	// Free memory
	sqlFreeResult($result);

	// Load main template
	loadTemplate('admin_list_mods', FALSE, $OUT);
} // END - if

// [EOF]
?>
