/**
 * JavaScript for core functions
 * --------------------------------------------------------------------
 * $Revision::                                                        $
 * $Date::                                                            $
 * $Tag:: 0.2.1-FINAL                                                 $
 * $Author::                                                          $
 * --------------------------------------------------------------------
 * Copyright (c) 2003 - 2009 by Roland Haeder
 * Copyright (c) 2009 - 2013 by Mailer Developer Team
 * For more information visit: http://mxchange.org
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA  02110-1301  USA
 */

// Function similar to PHP's function, except it checks only numeric indexes
function in_array (needle, heystack) {
	// By default it is not found
	var isInArray = false;

	// Check all elements
	for (var i = 0; i < heystack.length; i++) {
		// Is the element found?
		if (heystack[i] === needle) {
			// Found it and abort
			isInArray = true;
			break;
		} // END - if
	} // END - for

	// Return status
	return isInArray;
}

// Function similar to PHP's urldecode() function
function decodeUrlEncoding (content) {
	// Replace plus signs with spaces
	var removedPlus = (content + '').replace(/\+/g, '%20');

	// Decode it
	var decoded = decodeURIComponent(removedPlus);

	// Return it
	return decoded;
}

// "Getter" for total elements in given object
function getTotalCountFromObject (object) {
	// Default is zero
	var total = 0;

	// Start looping
	$.each(object, function (i, j) {
		// Add it
		total++;
	});

	// Return total
	return total;
}
